Uploaded image for project: 'Appcelerator Studio'
  1. Appcelerator Studio
  2. TISTUD-4916

LiveView: Conflicting dependency error during install

    Details

    • Type: Bug
    • Status: Closed
    • Priority: High
    • Resolution: Invalid
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: None
    • Labels:
    • Environment:

      Appcelerator Studio, build: 3.1.1.201305111505
      LiveView - 1.0.0.201306101918-3--59H3G8EDD5
      Mac OSX - Version 10.7.5

      Description

      Receive a "conflicting dependency" error when installing LiveView through Appcelerator Studio.

      Procedure being used to install is found in the "Installing the LiveView Plugin" section of the wiki docs:
      https://wiki.appcelerator.org/display/PartnerDocs/LiveView (which I've copied here ...)

      1. Launch Appcelerator Studio.
      2. From the menu bar, select Help > Install New Software... The Install wizard appears.
      3. Click Add. A dialog appears asking for the name and location of the update site.
         a. For Name, enter 'LiveView' or something similar.
         b. For Location, copy and paste one of the the following URLs:
              i. Release Candidate: http://download.appcelerator.com/appcelerator/appc-studio/liveview/update/rc
              ii. Beta: http://download.appcelerator.com/appcelerator/appc-studio/liveview/update/beta
              iii. Nightly Build: http://download.appcelerator.com/appcelerator/appc-studio/liveview/update/nightly
         c. Click OK.
      4. An item called LiveView Feature should appear. Select to install it, that is, make sure the box is checkmarked, then click Finish.
      5. Follow the rest of the wizard directions to install it.  When prompted, restart Studio.
      

      Error message details:

      Cannot complete the install because of a conflicting dependency.
        Software being installed: LiveView Feature 1.0.0.201306101918-3--59H3G8EDD5 (com.appcelerator.titanium.liveview.feature.feature.group 1.0.0.201306101918-3--59H3G8EDD5)
        Software currently installed: Appcelerator Studio 3.1.1.201305111505-11052013150733 (com.appcelerator.titanium.rcp.product 3.1.1.201305111505-11052013150733)
        Only one of the following can be installed at once: 
          Appcelerator LiveView Core 1.0.0.1370907521 (com.appcelerator.titanium.liveview.core 1.0.0.1370907521)
          Appcelerator LiveView Core 1.0.0.1368309321 (com.appcelerator.titanium.liveview.core 1.0.0.1368309321)
        Cannot satisfy dependency:
          From: Titanium Studio 360 Feature 1.1.0.201305111456-7B--7TnFUi66wAy (com.appcelerator.titanium.360.feature.feature.group 1.1.0.201305111456-7B--7TnFUi66wAy)
          To: com.appcelerator.titanium.liveview.core [1.0.0.1368309321]
        Cannot satisfy dependency:
          From: Appcelerator Studio 3.1.1.201305111505-7w7iFDDFGGcQvs-PqyxttF1ORcxz (com.appcelerator.titanium.feature.360.rcp.feature.group 3.1.1.201305111505-7w7iFDDFGGcQvs-PqyxttF1ORcxz)
          To: com.appcelerator.titanium.360.feature.feature.group [1.1.0.201305111456-7B--7TnFUi66wAy]
        Cannot satisfy dependency:
          From: LiveView Feature 1.0.0.201306101918-3--59H3G8EDD5 (com.appcelerator.titanium.liveview.feature.feature.group 1.0.0.201306101918-3--59H3G8EDD5)
          To: com.appcelerator.titanium.liveview.core [1.0.0.1370907521]
        Cannot satisfy dependency:
          From: Appcelerator Studio 3.1.1.201305111505-11052013150733 (com.appcelerator.titanium.rcp.product 3.1.1.201305111505-11052013150733)
          To: com.appcelerator.titanium.feature.360.rcp.feature.group [3.1.1.201305111505-7w7iFDDFGGcQvs-PqyxttF1ORcxz]
      

        Attachments

          Activity

            People

            • Assignee:
              mxia Michael Xia
              Reporter:
              pseda Patrick Seda
            • Watchers:
              3 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: